# -*- coding: utf-8 -*-
"""
Created on Sat Nov 15 22:35:03 2025

@author: Lorenzo
"""

import numpy as np
import matplotlib.pyplot as plt

k_max = 200  # choose what you want

# sort accuracies (here: best -> worst)
order = np.argsort(acc_single)
acc_sorted = acc_single[order][:k_max]

plt.figure()
plt.plot(np.arange(1, k_max+1), acc_sorted * 100, "-o")
plt.xlabel("Neuron rank (best to worst)")
plt.ylabel("Univariate CV accuracy (%)")
plt.tight_layout()
plt.show()
